import pygame
from lib import FileManager
from lib.CollisionManager import CollisionManager
from fondo import Fondo
from Test import Test
from Test2 import Test2
from Game import Game
#TODO: PruebaPhysic
import lib.PhysicsManager

class MiniGame(Game):
    
    def __init__(self, core):
        Game.__init__(self,core)
        self.core = core
        self.fondo = Fondo()
        self.arcadio = Test()
        self.arcadio2 = Test2()
        self.bindSpriteToControls(self.arcadio)
        #self.bindSpriteToControls(self.arcadio2)
        self.collisions = CollisionManager()

        #TODO: PruebaPhysic
        self.physic=lib.PhysicsManager.Physic(0,60,60)  #1 pixel por frame, 60 por segundo.
        self.arcadio.speedVect.vect=[1,20]             #Lanzamiento!

    def paint(self):
        self.paintItem(self.fondo)
        self.paintItem(self.arcadio)
        self.paintItem(self.arcadio2)
        #self.core.font.selectCustomFont("fanboyhc", 20)
        #fuente = self.core.font.renderText("hola a todos", 100,100)
        #self.paintItem(fuente)
        

    def logic(self):
        
        self.arcadio2.ia()

        colisionporlados = self.collisions.edgeCollision(self.arcadio, self.arcadio2)
        if len(colisionporlados) > 0:
            self.arcadio.colisionado()
    

        #TODO: PruebaPhysic
        self.physic.applyGravity(self.arcadio)
        #TODO: Limites para no perderlo.
        if self.arcadio.get_rect().top>1024:
            self.arcadio.rect.top=0
        if self.arcadio.get_rect().left>824:
            self.arcadio.rect.left=0

