###############################################################################
## Arcadia Project
##
## Copyright (C) 2009-2010 Arcadia Project arcadia.videogame@gmail.com http://www.arcadiaproject.org/
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################

import pygame
from pygame.locals import *
import os, sys
from lib.SpriteManager import SpriteManager

class GameOver(SpriteManager):

    def __init__(self, core, initialPosition):

        SpriteManager.__init__(self)
        self.core = core
        self.loadSprites()
        self.defaultSurface(self.gameover)
        self.initialPosition(initialPosition[0],initialPosition[1], "center")

        
    def loadSprites(self):
        self.gameover = self.getAnimation('game/gameover/images/gameover', 'gameover')

    def ia(self):
        self.surface = self.animate(self.gameover)
            
    def controls(self, action):

        pass

        
