import pygame
from pygame.locals import *
from lib.SpriteManager import SpriteManager

class Fondo(SpriteManager):

    def __init__(self):

        SpriteManager.__init__(self)
        self.loadSprites()
        self.defaultSurface(self.fondo)
        self.initialPosition(0,0)


    def loadSprites(self):
        self.fondo = self.getAnimation('resources/fondo', 'fondo')


    def controls(self, action):

        if self.keyPressed(K_a):
            self.moveLeft()
        if self.keyPressed(K_d):
            self.moveRight()
        if self.keyPressed(K_w):
            self.moveUp()
        if self.keyPressed(K_s):
            self.moveDown()
